Name: blisp
Version: 0.0.3
Release: 0%{?dist}
Summary: Bouffalo Labs ISP tool/library for flashing Bouffalo RISC-V MCUs
URL: https://github.com/pine64/blisp
License: MIT, Apache

Source0: https://github.com/pine64/%{name}/archive/refs/tags/v%{version}.tar.gz
Patch0: 0001-Fix-cmake.patch

BuildRequires: gcc cmake make
BuildRequires: libserialport, libserialport-devel
BuildRequires: argtable3, argtable3-devel

Requires: libserialport, argtable3

%global _description %{expand:
Bouffalo Labs ISP tool & library
Open source tool and library for flashing Bouffalo RISC-V MCUs.
}

%description %_description

%package devel
Summary: Development package that includes the blisp header files
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
Header and development files for using blisp

%prep
%autosetup -p 1 -n %{name}-%{version}
rm -rv vendor/ 

%build
%cmake -DBLISP_BUILD_CLI=ON
%cmake_build

%install
%cmake_install

%files
%{_libdir}/libblisp.so*
%{_bindir}/blisp

%files devel
%{_includedir}/blisp*.h
%{_includedir}/bl?0x_eflash_loader.h
%{_libdir}/cmake/blisp/*

%ldconfig_scriptlets

%changelog
* Thu Jan 26 2023 Neil Hanlon <neil@shrug.pw> - 0.0.3-0
- Update to upstream 0.0.3

* Thu Jan 12 2023 Neil Hanlon <neil@shrug.pw> - 0.0.2-0
- Update to upstream 0.0.2 and fix cmakelists patch

* Fri Dec 30 2022 Neil Hanlon <neil@shrug.pw> - 0.0.1-2
- fix requires

* Fri Dec 30 2022 Neil Hanlon <neil@shrug.pw> - 0.0.1-1
- build using a patch instead of a patched source

* Thu Dec 29 2022 Neil Hanlon <neil@shrug.pw> - 0.0.1-0
- initial specfile
